API仕様書
RESTful API エンドポイントのリファレンス
Sprint #12 Active
GET/api/tasks
タスク一覧を取得します。ページネーション、フィルタリング、ソートに対応。
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | integer | optional | ページ番号(デフォルト: 1) |
| limit | integer | optional | 1ページあたりの件数(デフォルト: 20, 最大: 100) |
| status | string | optional | ステータスフィルター: todo, in_progress, done |
| sprint_id | string | optional | スプリントIDでフィルター |
Response Example
{
"data": [
{
"id": "task_01H8X...",
"title": "認証フローの実装",
"status": "in_progress",
"assignee": "user_01H...",
"story_points": 5,
"created_at": "2026-03-01T09:00:00Z"
}
],
"meta": {
"total": 45,
"page": 1,
"limit": 20
}
}POST/api/tasks
新しいタスクを作成します。
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| title | string | required | タスクタイトル(最大200文字) |
| description | string | optional | タスクの説明(Markdown対応) |
| assignee_id | string | optional | 担当者のユーザーID |
| story_points | integer | optional | ストーリーポイント(1, 2, 3, 5, 8, 13) |
| sprint_id | string | optional | 紐付けるスプリントID |
Request Example
{
"title": "ダッシュボードのレスポンシブ対応",
"description": "モバイル・タブレット表示の最適化",
"assignee_id": "user_01H...",
"story_points": 3,
"sprint_id": "sprint_12"
}Response Example
{
"data": {
"id": "task_01H9Y...",
"title": "ダッシュボードのレスポンシブ対応",
"status": "todo",
"story_points": 3,
"created_at": "2026-03-08T10:30:00Z"
}
}GET/api/tasks/:id
指定IDのタスク詳細を取得します。関連するコメントとアクティビティログを含みます。
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | required | タスクID |
| include | string | optional | 追加データ: comments, activities(カンマ区切り) |
Response Example
{
"data": {
"id": "task_01H8X...",
"title": "認証フローの実装",
"description": "OAuth 2.0 + PKCE による認証フロー",
"status": "in_progress",
"assignee": {
"id": "user_01H...",
"name": "平井 健",
"avatar_url": null
},
"story_points": 5,
"comments_count": 3,
"created_at": "2026-03-01T09:00:00Z",
"updated_at": "2026-03-07T14:20:00Z"
}
}DEL/api/tasks/:id
指定IDのタスクを削除します。この操作は取り消せません。関連するコメントも同時に削除されます。
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | required | タスクID |
Response Example
{
"data": {
"deleted": true,
"id": "task_01H8X..."
}
}GET/api/members
チームメンバー一覧を取得します。
POST/api/members
新しいメンバーを追加します。
GET/api/members/:id
指定IDのメンバー詳細を取得します。
PUT/api/members/:id
指定IDのメンバー情報を更新します。
GET/api/sprints
スプリント一覧を取得します。
POST/api/sprints
新しいスプリントを作成します。
GET/api/sprints/:id
指定IDのスプリント詳細を取得します。